### Function

# Gtk StyleContext add_provider_for_display

#### Declaration [src]

    void
    gtk_style_context_add_provider_for_display (
      GdkDisplay* display,
      GtkStyleProvider* provider,
      guint priority
    )

#### Description [src]

Adds a global style provider to `display`, which will be used in style construction for all `GtkStyleContexts` under `display`.

GTK uses this to make styling information from `GtkSettings` available.

Note: If both priorities are the same, A `GtkStyleProvider` added through gtk_style_context_add_provider() takes precedence over another added through this function.

#### Parameters

`display` | `GdkDisplay*`
| A `GdkDisplay`.
| The data is owned by the caller of the function.
`provider` | `GtkStyleProvider`
| A `GtkStyleProvider`.
| The data is owned by the caller of the function.
`priority` | `guint`
| The priority of the style provider. The lower it is, the earlier it will be used in the style construction. Typically this will be in the range between `GTK_STYLE_PROVIDER_PRIORITY_FALLBACK` and `GTK_STYLE_PROVIDER_PRIORITY_USER`.